Subject: [DNSOP] Terminology: primary, secondary, master, slave

From: Paul Hoffman <[email-masked]>
Date: Fri, 24 Apr 2015 11:33:23 -0700

Greetings again. Based on Casey's proposal, I would like to make the following changes. Thoughts?

--Paul Hoffman

CURRENT:

Primary servers and secondary servers --- These are synonyms for "master server" and "slave server",
which were the terms used in the early DNS RFCs, and defined below. The current common usage has
shifted to "primary" and "secondary".

Slave server --- An authoritative server which uses zone transfer to retrieve the zone.
(Quoted from {{RFC1996}}, section 2.1)
{{RFC2182}} describes slave servers in detail.

Master --- Any authoritative server configured to be the source of zone transfer
for one or more slave servers. (Quoted from {{RFC1996}}, section 2.1)
{{RFC2136}} defines "master" as "an authoritative server configured to be the source of AXFR or IXFR
data for one or more slave servers".

================================

PROPOSED:

Secondary server --- "An authoritative server which uses zone transfer to retrieve the
zone" (quoted from {{RFC1996}}, section 2.1).  {{RFC2182}} describes secondary servers in
detail.  Although early DNS RFCs such as {{RFC1996}} referred to this as a "slave", the
current common usage has shifted to calling it a "secondary".

Slave server --- See secondary server.

Primary server --- "Any authoritative server configured to be the source of zone transfer
for one or more [secondary] servers" (quoted from {{RFC1996}}, section 2.1) or, more
specifically, "an authoritative server configured to be the source of AXFR or IXFR data
for one or more [secondary] servers" (quoted from {{RFC2136}}).  Although early DNS RFCs
such as {{RFC1996}} referred to this as a "master", the current common usage has shifted
to "primary".

Master server --- See primary server.